GET
/merchantsObter comerciantes pela lista de CNPJ
Recupera informações de comerciantes para uma lista de CNPJs. Retorna um objeto contendo os comerciantes encontrados, CNPJs válidos que não foram encontrados e CNPJs inválidos.
Parameters
Query Parameters
| Name | Type |
|---|---|
cnpjs | string |
Responses
200Resultados da consulta do comerciante
object
foundMerchantsrequiredobject[]
List of merchants found for the provided CNPJs
itemsobject
Merchant extracted from the transaction data
notFoundMerchantsrequiredstring[]
List of valid CNPJs that were not found in the merchant database
itemsstring
invalidCnpjsrequiredstring[]
List of invalid CNPJ values provided
itemsstring
Example response
json
{
"foundMerchants": [
{
"businessName": "BANCO DO BRASIL SA",
"cnpj": "00000000000191",
"name": "BANCO DO BRASIL",
"cnae": "6422100",
"category": "Banking"
}
],
"notFoundMerchants": [],
"invalidCnpjs": []
}curl -X GET \
'https://api.pluggy.ai/merchants' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'Resposta de exemplo
{
"foundMerchants": [
{
"businessName": "BANCO DO BRASIL SA",
"cnpj": "00000000000191",
"name": "BANCO DO BRASIL",
"cnae": "6422100",
"category": "Banking"
}
],
"notFoundMerchants": [],
"invalidCnpjs": []
}